## pandas 2.2.2+dfsg

=== debian/changelog ===
pandas (2.2.2+dfsg-4) unstable; urgency=medium

  * Tests: re-enable bottleneck and tabulate (see #1070359, #1070360),
    make blosc xfail nonstrict, use pyproject.toml in autopkgtest,
    run autopkgtest in CI, be less verbose to fit in the CI log.
  * Add transition Breaks.
  * Upload to unstable. (Closes: #1069792)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Jul 2024 19:36:37 +0100

pandas (2.2.2+dfsg-3) experimental; urgency=medium

  * Tests: add forgotten import.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 14:47:52 +0100

pandas (2.2.2+dfsg-2) experimental; urgency=medium

  * Allow importing pandas._testing without pytest.
  * Tests: don't require 32-bit to imply time32.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 May 2024 11:29:54 +0100

pandas (2.2.2+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright, patches, depends.
  * Upload to experimental, due to potential breakage (see #1069792).
  * Tests: use our test data path, skip too-old dependencies,
    mark some tests as requiring optional dependencies,
    remove no longer needed patches, clean up afterwards.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 05 May 2024 14:40:45 +0100

=== debian/control ===
Source: pandas
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               faketime,
               locales-all,
               python3-all-dev,
               cython3 (>= 3.0.5~),
# we don't have this version               python3-blosc (>= 1.21.3~) <!nocheck> <!nodoc>,
               python3-bottleneck (>= 1.3.6~) <!nocheck> <!nodoc>,
               python3-bs4 (>= 4.11.2~) <!nocheck> <!nodoc>,
               python3-dask (>= 2023.2.0~) <!nocheck> <!nodoc>,
               python3-dateutil,
               python3-fsspec (>= 2022.11.0~) <!nocheck> <!nodoc>,
               python3-html5lib (>= 1.1~) <!nocheck> <!nodoc>,
               python3-hypothesis (>= 6.46.1~) <!nocheck> <!nodoc>,
               python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
               python3-lxml (>= 4.9.2~) <!nocheck> <!nodoc>,
               python3-matplotlib (>= 3.6.3~) [!ia64 !loong64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
# numba has a history of bugs on non-x86, e.g. #1033907
# architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
# temporarily disabled as numba is not in testing #1033907               python3-numba (>= 0.56.4~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
               python3-numexpr (>= 2.8.4~) <!nocheck> <!nodoc>,
               python3-numpy (>= 1:1.23.2~),
               python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
               python3-openpyxl (>= 3.1.0~) <!nocheck> <!nodoc>,
# doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.6~) <!nocheck> <!nodoc>,
               python3-py <!nocheck> <!nodoc>,
# doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
               python3-pyqt5 (>= 5.15.9~) <!nocheck> <!nodoc>,
               python3-pyreadstat (>= 1.2.0~) [!ia64 !loong64 !sparc64 !x32] <!nocheck> <!nodoc>,
               python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
               python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
               python3-pytest-forked <!nocheck> <!nodoc>,
               python3-pytest-localserver <!nocheck> <!nodoc>,
               python3-pytest-xdist (>= 2.2.0~) <!nocheck> <!nodoc>,
               python3-pytestqt (>= 4.2.0~) <!nocheck> <!nodoc>,
# we don't have python3-pyxlsb
               python3-scipy (>= 1.10.0~),
               python3-setuptools (>= 51~),
# we don't have this version               python3-sqlalchemy (>= 2.0.0~) [!ia64 !hppa !sh4 !x32] <!nocheck> <!nodoc>,
# python3-tables is now little-endian only, and also unavailable on some ports
               python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha] <!nocheck> <!nodoc>,
               python3-tabulate (>= 0.9.0~) <!nocheck> <!nodoc>,
               python3-tk <!nocheck> <!nodoc>,
               python3-tz (>= 2022.7~) <!nocheck> <!nodoc>,
               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
               python3-xlsxwriter (>= 3.0.5~) <!nocheck> <!nodoc>,
               python3-versioneer,
               python3-zstandard (>= 0.19.0~) <!nocheck> <!nodoc>,
               sphinx-common,
# for tests/examples that use old-style timezone names
               tzdata-legacy <!nocheck> <!nodoc>,
               xvfb <!nocheck>,
               xauth <!nocheck>,
               xsel <!nocheck>
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-sphinx-copybutton <!nodoc>,
                     python3-sphinx-design <!nodoc>,
                     python3-pydata-sphinx-theme <!nodoc>,
                     python3-ipykernel <!nodoc>,
# we don't have this version                     python3-notebook (>= 7.0.6~) <!nodoc>,
# we don't have this version                     python3-nbconvert (>= 7.11.0~) <!nodoc>,
                     python3-notebook <!nodoc>,
                     python3-nbconvert <!nodoc>,
                     python3-nbsphinx <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-pygments <!nodoc>,
                     ipython3 (>= 7.11.1~) <!nodoc>,
                     jdupes <!nodoc>,
# for style.ipynb
                     pandoc <!nodoc>,
# for intersphinx inventories
                     python3-doc <!nodoc>,
# no longer exists                     python-numpy-doc <!nodoc>,
                     python-scipy-doc <!nodoc>,
# no longer exists                     python-matplotlib-doc <!nodoc>,
                     python-statsmodels-doc <!nodoc>,
# these are for not having (as many) exception messages in documentation examples
# so may be temporarily removed if they are broken or to break bootstrap cycles
# not in Debian (not to be confused with python3-arrow) python3-pyarrow <!nodoc>,
#fails with KeyError 'state', possibly nbconvert bug 1731                     python3-ipywidgets <!nodoc>,
                     python3-rpy2 <!nodoc>,
                     python3-seaborn <!nodoc>,
                     python3-sqlalchemy <!nodoc>,
                     python3-statsmodels <!nodoc>,
                     python3-xarray (>= 2022.12.0~) <!nodoc>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/pandas
Vcs-Git: https://salsa.debian.org/science-team/pandas.git
Homepage: https://pandas.pydata.org/
Rules-Requires-Root: no

Package: python3-pandas
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-dateutil,
         python3-pandas-lib (>= ${source:Upstream-Version}),
# should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
         python3-pkg-resources,
         tzdata
Recommends: python3-scipy,
            python3-matplotlib,
            python3-tz,
# for faster processing
# see -lib for python3-numba
            python3-bottleneck,
            python3-numexpr,
# for spreadsheet I/O
            python3-odf,
            python3-openpyxl,
# for HTML table I/O
            python3-bs4,
            python3-html5lib,
            python3-lxml,
# for HDF5 I/O
            python3-tables,
# for styled output
            python3-jinja2
Suggests: python-pandas-doc,
          python3-statsmodels
Breaks:
# 1.1 -> 1.3 API breaks, see #999415
        python3-cfgrib (<= 0.9.9-1),
        python3-joypy (<= 0.2.2-2),
# 1.5 -> 2.1 API breaks, #1043240
        cnvkit (<< 0.9.10~),
        python3-altair (<< 5.0.1~),
        python3-anndata (<= 0.8.0-4),
        python3-biom-format (<< 2.1.15.2-3~),
        python3-cooler (<< 0.9.3~),
        python3-dask (<< 2023.12.1~),
        python3-dials (<< 3.17.0~),
        python3-dyda (<= 1.41.1-1.1),
        python3-emperor (<< 1.0.3+ds-9~),
        python3-esda (<= 2.5.1-1),
        python3-feather-format (<< 0.3.1+dfsg1-8~),
        python3-hypothesis (<< 6.83.1~),
        python3-jsonpickle (<< 3.0.2+dfsg-1~),
        python3-mirtop (<< 0.4.25-5~),
        python3-nanoget (<< 1.19.3~),
        python3-pauvre (<< 0.2.3-3~),
        python3-pyani (<< 0.2.12-3~),
        python3-pymatgen (<< 2024.1.27~),
        python3-pyranges (<= 0.0.111+ds-6),
        python3-seaborn (<< 0.13.0~),
        python3-skbio (<< 0.5.9~),
        python3-sklearn-pandas (<= 2.2.0-1.1),
        python3-sunpy (<< 5.1.0-1~),
# broken tests but probably not broken actual package        python3-tqdm (<= 4.64.1-1),
# python3-ulmo affected test no longer run but not actually fixed
        python3-ulmo (<= 0.8.8+dfsg1-2),
        python3-upsetplot (<< 0.8.0-3~),
        python3-xarray-sentinel (<< 0.9.5+ds-2~),
        q2-cutadapt (<< 2023.7.0-1~),
        q2-demux (<= 2023.9.1+dfsg-1),
        q2-quality-control (<= 2022.11.1-2),
        q2-taxa (<= 2023.9.0+dfsg-1),
        q2-types (<= 2023.9.0-1),
        q2templates (<= 2023.9.0+ds-1),
# 2.1 -> 2.2 API breaks, #1069792
        augur (<< 24.4.0-1~),
        python3-influxdb (<< 5.3.2-1~),
        python3-statsmodels (<< 0.14.2~),
Description: data structures for "relational" or "labeled" data
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 3 version.

Package: python-pandas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Suggests: python3-pandas
Multi-Arch: foreign
Description: data structures for "relational" or "labeled" data - documentation
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the documentation.

Package: python3-pandas-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-numpy
# this is here to allow it to be arch-specific, to avoid numba bugs on other architectures
Recommends: python3-numba [amd64]
Description: low-level implementations and bindings for pandas
 This is a low-level package for python3-pandas providing
 architecture-dependent extensions.
 .
 Users should not need to install it directly.

=== debian/tests/control ===
# Check that the hard Depends are enough for import
# cd to not-the-source-directory to get the installed pandas
Test-Command: cd "$AUTOPKGTEST_TMP" && python3 -c "import pandas;a=pandas.DataFrame([[1,2],[3,4]])"
Depends: python3-pandas
Restrictions: allow-stderr

# According to pandas/doc/source/install.rst, running the unit tests looks like:
# `py.test-3 --skip-slow --skip-network /usr/lib/python3/dist-packages/pandas/ -v -rs`
# Or simply `python3 -c "import pandas as pd; pd.test()"`, which doesn't require
# us to specify the path (pandas.__path__) in command line.
# See: pandas/util/_tester.py
Tests: unittests3
# xml test_wrong_url fails without ca-certificates
Depends: python3-pandas,
         ca-certificates,
         locales-all,
         python3-all,
# we don't have this version         python3-blosc (>= 1.21.3~),
         python3-bottleneck (>= 1.3.6~),
         python3-bs4 (>= 4.11.2~),
         python3-dask (>= 2023.2.0~),
         python3-dateutil,
         python3-fsspec (>= 2022.11.0~),
         python3-html5lib (>= 1.1~),
         python3-hypothesis (>= 6.46.1~),
         python3-jinja2 (>= 3.1.2~),
         python3-lxml (>= 4.9.2~),
         python3-matplotlib (>= 3.6.3~) [!ia64 !sh4 !x32],
# architectures here are the ones on which to treat numba-related failures as RC - see also debian/control
# temporarily disabled as numba is not in testing #1033907         python3-numba (>= 0.56.4~) [amd64 i386 ppc64el],
         python3-numexpr (>= 2.8.4~),
         python3-numpy (>= 1:1.23.2~),
         python3-odf (>= 1.4.1~),
         python3-openpyxl (>= 3.1.0~),
# doesn't seem to work in this test environment         python3-psycopg2 (>= 2.9.6~),
         python3-py,
# doesn't seem to work in this test environment         python3-pymysql (>= 1.0.2~),
         python3-pyqt5 (>= 5.15.9~),
         python3-pyreadstat (>= 1.2.0~),
         python3-pytest (>= 7.3.2~),
         python3-pytest-asyncio (>= 0.17~),
         python3-pytest-forked,
         python3-pytest-localserver,
         python3-pytest-xdist (>= 2.2.0~),
         python3-pytestqt (>= 4.2.0~),
# we don't have python3-pyxlsb
         python3-scipy (>= 1.10.0~),
         python3-setuptools (>= 51~),
# we don't have this version         python3-sqlalchemy (>= 2.0.0~),
# python3-tables is now little-endian only, and also unavailable on some ports
         python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha],
         python3-tabulate (>= 0.9.0~),
         python3-tk,
         python3-tz (>= 2022.7~),
         python3-xarray (>= 2022.12.0~),
         python3-xlrd (>= 2.0.1~),
         python3-xlsxwriter (>= 3.0.5~),
         python3-zstandard (>= 0.19.0~),
         tzdata-legacy,
         xauth,
         xvfb,
         xsel
Restrictions: allow-stderr, needs-internet

# this test does not actually fail on failure - it exists to produce a log for monitoring known issues
# (we can't use plain xfails for this, because some of these crash not just fail)

## pandas 2.2.3%2Bdfsg

=== debian/changelog ===
pandas (2.2.3+dfsg-9build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:12:36 +0000

pandas (2.2.3+dfsg-9) unstable; urgency=medium

  * Tests: ignore warning added in matplotlib 3.10. (Closes: #1101527)
  * Tests: run but ignore more (already) xfailed tests,
    but less verbosely to not overflow the log.
  * Tests: remove no longer needed xfails (#1068422 has been fixed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 29 Mar 2025 13:01:52 +0000

pandas (2.2.3+dfsg-8) unstable; urgency=medium

  * Re-add full build dependencies.
  * Allow building on ports without PyQt5.
  * README.source: document circular dependencies.
  * Ignore some more failing tests (workaround for #1088988).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 01 Feb 2025 18:39:17 +0000

pandas (2.2.3+dfsg-7) unstable; urgency=medium

  * Re-add some but not all build-deps, stop ignoring most tests
    and documentation fails (but still ignore #1094417).
  * Temporarily move matplotlib to Build-Depends-Indep.
  * Tests: remove no longer needed xfails.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2025 22:18:06 +0000

pandas (2.2.3+dfsg-6) unstable; urgency=medium

  * Tests: accept recent improvements in xarray and pyreadstat,
    avoid crash when creating reference.
  * Docs privacy: use local file for logo.
  * Temporarily ignore tests and documentation fails and drop some
    build-deps to unblock numpy2 transition
    (workaround for #1088988, #1094385).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2025 07:22:40 +0000

pandas (2.2.3+dfsg-5) unstable; urgency=medium

  * Docs: switch back to pydata-sphinx-theme.
  * Docs: (re-)add build-dependencies we now can satisfy.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Oct 2024 19:43:11 +0100

pandas (2.2.3+dfsg-4) unstable; urgency=medium

  * Re-enable docs using a different theme (workaround for #1084781).
  * Re-add dropped build-depends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 11 Oct 2024 10:18:43 +0100

pandas (2.2.3+dfsg-3) unstable; urgency=medium

  * Ignore docs build fail (workaround for #1084781) and print log.
  * Docs: remove old pydata-sphinx-theme workarounds.
  * Temporarily drop some build-depends to break bootstrap cycle.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 08 Oct 2024 22:14:45 +0100

pandas (2.2.3+dfsg-2) unstable; urgency=medium

  * Move pyreadstat to Build-Depends-Indep to break cycle.
  * Allow building on ports without full test-Depends.
  * Re-enable sqlalchemy tests.
  * Stop using pkg_resources. (Closes: #1083523)
  * Tests: stop passing non-constant pytz.timezone
    directly to datetime.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Oct 2024 16:40:59 +0100

pandas (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1082096)
  * Update contributors, refresh patches.
  * Tests: keep 32-bit intervaltree xfailed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 21 Sep 2024 17:21:40 +0100

## pandas 2.2.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                locales-all,
                python3-all-dev,
                cython3 (>= 3.0.5~),
-# we don't have this version               python3-blosc (>= 1.21.3~) <!nocheck> <!nodoc>,
+# python3-blosc is not actually used (blosc is used through python3-tables instead)
                python3-bottleneck (>= 1.3.6~) <!nocheck> <!nodoc>,
                python3-bs4 (>= 4.11.2~) <!nocheck> <!nodoc>,
                python3-dask (>= 2023.2.0~) <!nocheck> <!nodoc>,
@@ -21,19 +21,19 @@
                python3-hypothesis (>= 6.46.1~) <!nocheck> <!nodoc>,
                python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.9.2~) <!nocheck> <!nodoc>,
-               python3-matplotlib (>= 3.6.3~) [!ia64 !loong64 !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-matplotlib (>= 3.6.3~) [!alpha !hurd-any !loong64 !m68k !powerpc !sh4 !sparc64 !x32] <!nocheck> <!nodoc>,
 # numba has a history of bugs on non-x86, e.g. #1033907
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
 # temporarily disabled as numba is not in testing #1033907               python3-numba (>= 0.56.4~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
-               python3-numexpr (>= 2.8.4~) <!nocheck> <!nodoc>,
+               python3-numexpr (>= 2.8.4~) [!hurd-any] <!nocheck> <!nodoc>,
                python3-numpy (>= 1:1.23.2~),
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
                python3-openpyxl (>= 3.1.0~) <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.6~) <!nocheck> <!nodoc>,
                python3-py <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
-               python3-pyqt5 (>= 5.15.9~) <!nocheck> <!nodoc>,
-               python3-pyreadstat (>= 1.2.0~) [!ia64 !loong64 !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-pyqt5 (>= 5.15.9~) [!alpha !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+# in -indep to reduce circular dependencies python3-pyreadstat,
                python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
@@ -43,7 +43,7 @@
 # we don't have python3-pyxlsb
                python3-scipy (>= 1.10.0~),
                python3-setuptools (>= 51~),
-# we don't have this version               python3-sqlalchemy (>= 2.0.0~) [!ia64 !hppa !sh4 !x32] <!nocheck> <!nodoc>,
+               python3-sqlalchemy (>= 2.0.0~) [!hurd-any !hppa !powerpc !sparc64] <!nocheck> <!nodoc>,
 # python3-tables is now little-endian only, and also unavailable on some ports
                python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha] <!nocheck> <!nodoc>,
                python3-tabulate (>= 0.9.0~) <!nocheck> <!nodoc>,
@@ -62,12 +62,11 @@
 Build-Depends-Indep: python3-sphinx <!nodoc>,
                      python3-sphinx-copybutton <!nodoc>,
                      python3-sphinx-design <!nodoc>,
-                     python3-pydata-sphinx-theme <!nodoc>,
+                     python3-pydata-sphinx-theme (>= 0.14~) <!nodoc>,
                      python3-ipykernel <!nodoc>,
 # we don't have this version                     python3-notebook (>= 7.0.6~) <!nodoc>,
-# we don't have this version                     python3-nbconvert (>= 7.11.0~) <!nodoc>,
                      python3-notebook <!nodoc>,
-                     python3-nbconvert <!nodoc>,
+                     python3-nbconvert (>= 7.11.0~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
                      python3-pygments <!nodoc>,
@@ -77,9 +76,9 @@
                      pandoc <!nodoc>,
 # for intersphinx inventories
                      python3-doc <!nodoc>,
-# no longer exists                     python-numpy-doc <!nodoc>,
+                     python-numpy-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
-# no longer exists                     python-matplotlib-doc <!nodoc>,
+                     python-matplotlib-doc <!nodoc>,
                      python-statsmodels-doc <!nodoc>,
 # these are for not having (as many) exception messages in documentation examples
 # so may be temporarily removed if they are broken or to break bootstrap cycles
@@ -87,9 +86,11 @@
 #fails with KeyError 'state', possibly nbconvert bug 1731                     python3-ipywidgets <!nodoc>,
                      python3-rpy2 <!nodoc>,
                      python3-seaborn <!nodoc>,
-                     python3-sqlalchemy <!nodoc>,
-                     python3-statsmodels <!nodoc>,
-                     python3-xarray (>= 2022.12.0~) <!nodoc>,
+# these are also used in some tests, but depend on pandas, so are in -indep to avoid
+# circular-dependency BD-Uninstallable when arch:all finishes before some of the arch:any start
+                     python3-pyreadstat (>= 1.2.0~) <!nocheck> <!nodoc>,
+                     python3-statsmodels <!nocheck> <!nodoc>,
+                     python3-xarray (>= 2022.12.0~) <!nocheck> <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
@@ -104,7 +105,6 @@
          python3-dateutil,
          python3-pandas-lib (>= ${source:Upstream-Version}),
 # should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
-         python3-pkg-resources,
          tzdata
 Recommends: python3-scipy,
             python3-matplotlib,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PY3VERS := $(shell py3versions -vr)
PY3VER := $(shell py3versions -vd)
SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")

UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg,,g')
# Python doesn't use ~ for rc
UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')

# Filter out tests with "marker expressions" and "keyword expressions". Ref: pytest(1)
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
	PYTEST_MARKER := not network
else
	PYTEST_MARKER := not network and not slow
endif
ifeq (,$(findstring mips,$(DEB_HOST_ARCH))$(findstring hppa,$(DEB_HOST_ARCH))$(findstring _ia64_,_$(DEB_HOST_ARCH)_))
	PYTEST_WARN_IGNORE :=
else
	# mips/hppa may have unusual NaN behaviour
	# https://en.wikipedia.org/wiki/NaN#Encoding
	# ia64 warns in test_groupby_quantile_all_na_group_masked (see 2.0.3+dfsg-6 build log)
	PYTEST_WARN_IGNORE := -W "ignore:invalid value encountered:RuntimeWarning"
endif

# for matplotlib etc
export HOME=$(CURDIR)/buildtmp

# Split up the test suite to avoid running out of memory, use xvfb for plot tests, run but ignore potentially crashing tests; test_register_entrypoint expects an installed package, test_wrong_url needs internet, test_statsmodels is a circular dependency when adding a new Python version
# The echo-random-characters is to allow searching for fails that don't show the usual test failure message i.e. crashes/errors
# -v makes the log too long for salsa-ci
# the grep -q is because trying to test __pycache__ is an error in pytest 8+, #1063959
export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do echo $$TEST_SUBSET | grep -q -e __pycache__ || PANDAS_CI=1 LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" $(PYTEST_WARN_IGNORE) -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; rm -rf test-data.xml test_stata.dta .pytest_cache ; $$TEST_SUCCESS

export PYBUILD_EXT_DESTDIR=debian/python3-pandas-lib
export PYBUILD_DESTDIR=debian/python3-pandas

# try to prevent unsanctioned downloads
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

export SHELL=/bin/bash

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=pybuild --with python3,numpy3,sphinxdoc

# The *cython* rules are provided to allow using pre-built Cython files in distributions without a new enough Cython; they are not (and must not be) used in official Debian builds (including -backports).  Use instructions:
# on a system with new enough Cython, run debian/rules cythonize - this will add a directory under debian/
# uncomment the _uncythonize rule dependency below
# remove the cython3 Build-Depends from d/control
# copy to the older system and build as normal
# To upgrade to a new upstream version, this process must be repeated
# Warning - has not been tested for some time
_cythonize%: override_dh_clean # force removal of previous copies
	python$(*:2=) setup.py cython
	D=debian/cythonized-files$(*:2=) && \
		git rm -rf $$D || rm -rf $$D; \
		find pandas/ -regex '.*\.c\(\|pp\)' | while read f; do \
			grep -q 'Generated by Cython' "$$f" || continue; \
			mkdir -p "$$D/$$(dirname $$f)"; \
			cp "$$f" "$$D/$$(dirname $$f)"; \
			git add -f "$$D/$$f" || true; \
		done; \
		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION || true

_uncythonize%:
	: # Make sure that cythonized sources are up-to-date
	[ "$(UVER)" = "`cat debian/cythonized-files3/VERSION`" ]
	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
		echo "I: Using pre-Cython-ed files for Python $*"; \
		cd debian/cythonized-files$$PY/ ; \
		find . -regex '.*\.c\(\|pp\)' | while read f; do cp $$f ../../$$f; done

cythonize: _cythonize3

override_dh_clean:
	find pandas/ -regex '.*\.c\(\|pp\)' | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f
	# the || true is because this will fail without docutils (-arch or nodoc builds)
	cd doc && LC_ALL=C.UTF-8 python3 make.py clean || true
	rm -rf build buildtmp *-stamp doc/source/savefig doc/source/user_guide/styled.xlsx doc/source/index.rst
	dh_clean

override_dh_auto_build-arch: # ${PY3VERS:%=_uncythonize%}
	mkdir -p buildtmp
	[ -e pandas/__version.py ] || \
	echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # Build Documentation
	cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 make.py html
	# strip build paths, object IDs and statsmodels timestamps for reproducibility, and online Javascript for privacy
	for html in `find doc/build/html -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
	    -e 's#$(CURDIR)/debian/python3-pandas/usr/lib/python3/dist-packages/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
	    -e 's# at 0x[0-9a-f]\{8,16\}\(&gt;\|>\)# at 0xadde5de1e8ed\1#g' \
	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
	done
endif

override_dh_installdocs:
	dh_installdocs -A *.md
	# for NEWS.html.gz - put it here and use symlinks to avoid breaking internal links
	gzip -c -n -9 debian/python-pandas-doc/usr/share/doc/python-pandas-doc/html/whatsnew/index.html > debian/python-pandas-doc/usr/share/doc/python-pandas-doc/html/whatsnew/index.html.gz || true
	cp -av debian/contributors_list.txt debian/python-pandas-doc/usr/share/doc/python-pandas-doc || true
	# deduplicate files - the ||true is because we only build-depend on jdupes if we're building documentation
	jdupes -r -l debian/python-pandas-doc/usr/share/doc || true


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

# see PYBUILD_TEST_ARGS above
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom dh_auto_test
endif

=== debian/tests/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
          ca-certificates,
          locales-all,
          python3-all,
-# we don't have this version         python3-blosc (>= 1.21.3~),
+# python3-blosc is not actually used (blosc is used through python3-tables instead)
          python3-bottleneck (>= 1.3.6~),
          python3-bs4 (>= 4.11.2~),
          python3-dask (>= 2023.2.0~),
@@ -46,7 +46,7 @@
 # we don't have python3-pyxlsb
          python3-scipy (>= 1.10.0~),
          python3-setuptools (>= 51~),
-# we don't have this version         python3-sqlalchemy (>= 2.0.0~),
+         python3-sqlalchemy (>= 2.0.0~),
 # python3-tables is now little-endian only, and also unavailable on some ports
          python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha],
          python3-tabulate (>= 0.9.0~),

## pandas 2.3.1+dfsg

=== debian/changelog ===
pandas (2.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update contributors and patches.
  * Upload to experimental, due to potential breakage (see #1111280).
  * Use pybuild-plugin-pyproject, meson and more modern dh* style.
  * Docs: build-depend on pickleshare for bookmarks.
  * Docs reproducibility: strip ipykernel IDs and more times.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Clean up after tests.
  * autopkgtest: be less verbose to not overflow the CI log.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Aug 2025 14:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
            Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
+Build-Depends: cython3 (>= 3.0.5~),
+               debhelper-compat (= 13),
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                faketime,
                locales-all,
+               meson (>= 1.2.1~),
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               cython3 (>= 3.0.5~),
 # python3-blosc is not actually used (blosc is used through python3-tables instead)
                python3-bottleneck (>= 1.3.6~) <!nocheck> <!nodoc>,
                python3-bs4 (>= 4.11.2~) <!nocheck> <!nodoc>,
@@ -22,6 +26,7 @@
                python3-jinja2 (>= 3.1.2~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.9.2~) <!nocheck> <!nodoc>,
                python3-matplotlib (>= 3.6.3~) [!alpha !hurd-any !loong64 !m68k !powerpc !sh4 !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-mesonpy (>= 0.13.1~),
 # numba has a history of bugs on non-x86, e.g. #1033907
 # architectures here are the ones on which to treat numba-related failures as RC - see also debian/tests/control
 # temporarily disabled as numba is not in testing #1033907               python3-numba (>= 0.56.4~) [amd64 i386 ppc64el] <!nocheck> <!nodoc>,
@@ -53,7 +58,6 @@
                python3-xlsxwriter (>= 3.0.5~) <!nocheck> <!nodoc>,
                python3-versioneer,
                python3-zstandard (>= 0.19.0~) <!nocheck> <!nodoc>,
-               sphinx-common,
 # for tests/examples that use old-style timezone names
                tzdata-legacy <!nocheck> <!nodoc>,
                xvfb <!nocheck>,
@@ -69,6 +73,7 @@
                      python3-nbconvert (>= 7.11.0~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
+                     python3-pickleshare <!nodoc>,
                      python3-pygments <!nodoc>,
                      ipython3 (>= 7.11.1~) <!nodoc>,
                      jdupes <!nodoc>,
@@ -91,7 +96,7 @@
                      python3-pyreadstat (>= 1.2.0~) <!nocheck> <!nodoc>,
                      python3-statsmodels <!nocheck> <!nodoc>,
                      python3-xarray (>= 2022.12.0~) <!nocheck> <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 PY3VERS := $(shell py3versions -vr)
 PY3VER := $(shell py3versions -vd)
-SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
-SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
+SOURCE_DATE:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
+SOURCE_TIME:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
 
 UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg,,g')
 # Python doesn't use ~ for rc
@@ -38,7 +38,7 @@
 # The echo-random-characters is to allow searching for fails that don't show the usual test failure message i.e. crashes/errors
 # -v makes the log too long for salsa-ci
 # the grep -q is because trying to test __pycache__ is an error in pytest 8+, #1063959
-export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do echo $$TEST_SUBSET | grep -q -e __pycache__ || PANDAS_CI=1 LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" $(PYTEST_WARN_IGNORE) -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; rm -rf test-data.xml test_stata.dta .pytest_cache ; $$TEST_SUCCESS
+export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do echo $$TEST_SUBSET | grep -q -e __pycache__ || PANDAS_CI=1 LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" $(PYTEST_WARN_IGNORE) -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; rm -rf test-data.xml test_stata.dta .pytest_cache pandas/.pytest_cache ; $$TEST_SUCCESS
 
 export PYBUILD_EXT_DESTDIR=debian/python3-pandas-lib
 export PYBUILD_DESTDIR=debian/python3-pandas
@@ -52,7 +52,7 @@
 # Mega rule
 %:
 	: # Explicit build system to avoid use of all-in-1 Makefile
-	dh $@ --buildsystem=pybuild --with python3,numpy3,sphinxdoc
+	dh $@ --buildsystem=pybuild
 
 # The *cython* rules are provided to allow using pre-built Cython files in distributions without a new enough Cython; they are not (and must not be) used in official Debian builds (including -backports).  Use instructions:
 # on a system with new enough Cython, run debian/rules cythonize - this will add a directory under debian/
@@ -90,13 +90,12 @@
 	rm -rf build buildtmp *-stamp doc/source/savefig doc/source/user_guide/styled.xlsx doc/source/index.rst
 	dh_clean
 
-override_dh_auto_build-arch: # ${PY3VERS:%=_uncythonize%}
+execute_before_dh_auto_build: # ${PY3VERS:%=_uncythonize%}
 	mkdir -p buildtmp
 	[ -e pandas/__version.py ] || \
 	echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
-	dh_auto_build
 
-override_dh_auto_build-indep: override_dh_auto_build-arch
+execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	: # Build Documentation
 	cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 make.py html
@@ -105,10 +104,17 @@
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
 	    -e 's#$(CURDIR)/debian/python3-pandas/usr/lib/python3/dist-packages/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
 	    -e 's# at 0x[0-9a-f]\{8,16\}\(&gt;\|>\)# at 0xadde5de1e8ed\1#g' \
+	    -e 's#tmp/ipykernel_[0-9]\+#tmp/ipykernel_nnnnnnn#g' \
+	    -e 's#^\s\+.\(iopub.execute_input\|iopub.status.busy\|iopub.status.idle\|shell.execute_reply\).:.*# #g' \
 	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
 	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
 	done
 endif
+
+# to reduce package size, don't ship the test data
+# the autopkgtest uses --deb-data-root-dir (find_test_data.patch) to get it from the source package
+execute_after_dh_auto_install:
+	rm -rfv debian/python3-pandas/usr/lib/python*/dist-packages/pandas/tests/io/data debian/python3-pandas/usr/lib/python*/dist-packages/pandas/tests/io/*/data
 
 override_dh_installdocs:
 	dh_installdocs -A *.md

## pandas 2.3.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -159,7 +159,6 @@
         python3-skbio (<< 0.5.9~),
         python3-sklearn-pandas (<= 2.2.0-1.1),
         python3-sunpy (<< 5.1.0-1~),
-# broken tests but probably not broken actual package        python3-tqdm (<= 4.64.1-1),
 # python3-ulmo affected test no longer run but not actually fixed
         python3-ulmo (<= 0.8.8+dfsg1-2),
         python3-upsetplot (<< 0.8.0-3~),
@@ -174,6 +173,8 @@
         augur (<< 24.4.0-1~),
         python3-influxdb (<< 5.3.2-1~),
         python3-statsmodels (<< 0.14.2~),
+# no 2.2 -> 2.3 API breaks, #1111280
+# broken tests but probably not broken actual package        python3-tqdm (<= 4.67.1-5),
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or

## pandas 2.3.2+dfsg

=== debian/changelog ===
pandas (2.3.2+dfsg-2) unstable; urgency=medium

  * Revert __version__ to the non-+dfsg form to not break mlpack.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 18 Sep 2025 15:08:15 +0100

pandas (2.3.2+dfsg-1) pandas2p3; urgency=medium

  * New upstream release.  Update contributors and patches.
  * Docs reproducibility: fix some more random seeds.
  * Upload to unstable. (Closes: #1111280)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 04 Sep 2025 21:25:53 +0100

## pandas 2.3.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SOURCE_DATE:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
 SOURCE_TIME:=$(shell LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
 
-UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg,,g')
+UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg[0-9]*,,g')
 # Python doesn't use ~ for rc
 UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
 UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')
@@ -87,13 +87,12 @@
 	find pandas/ -regex '.*\.c\(\|pp\)' | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f
 	# the || true is because this will fail without docutils (-arch or nodoc builds)
 	cd doc && LC_ALL=C.UTF-8 python3 make.py clean || true
-	rm -rf build buildtmp *-stamp doc/source/savefig doc/source/user_guide/styled.xlsx doc/source/index.rst
+	rm -rf build buildtmp *-stamp doc/source/savefig doc/source/user_guide/styled.xlsx doc/source/index.rst _version_meson.py
 	dh_clean
 
 execute_before_dh_auto_build: # ${PY3VERS:%=_uncythonize%}
 	mkdir -p buildtmp
-	[ -e pandas/__version.py ] || \
-	echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
+	echo -e "__version__ = '$(UVER_PY)'\n__git_version__ = 'not-from-upstream-git'" > _version_meson.py
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -132,5 +131,5 @@
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYBUILD_SYSTEM=custom dh_auto_test
+#	PYBUILD_SYSTEM=custom dh_auto_test
 endif

## pandas 2.3.3+dfsg

=== debian/changelog ===
pandas (2.3.3+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop unused dependency on RC-buggy python3-py
  * Drop "Rules-Requires-Root: no": it is the new default value

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 08:54:48 +0200

pandas (2.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1117200)
  * Update contributors and patches.
  * Tests: don't require warnings removed in numexpr 2.13.1.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 06 Oct 2025 16:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pandas
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Rebecca N. Palmer <rebecca_palmer@zoho.com>
@@ -35,9 +35,9 @@
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
                python3-openpyxl (>= 3.1.0~) <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-psycopg2 (>= 2.9.6~) <!nocheck> <!nodoc>,
-               python3-py <!nocheck> <!nodoc>,
 # doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
                python3-pyqt5 (>= 5.15.9~) [!alpha !powerpc !sparc64 !x32] <!nocheck> <!nodoc>,
+               python3-pytz (>= 2022.7~) <!nocheck> <!nodoc>,
 # in -indep to reduce circular dependencies python3-pyreadstat,
                python3-pytest (>= 7.3.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
@@ -53,7 +53,6 @@
                python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha] <!nocheck> <!nodoc>,
                python3-tabulate (>= 0.9.0~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
-               python3-tz (>= 2022.7~) <!nocheck> <!nodoc>,
                python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
                python3-xlsxwriter (>= 3.0.5~) <!nocheck> <!nodoc>,
                python3-versioneer,
@@ -100,7 +99,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
-Rules-Requires-Root: no
 
 Package: python3-pandas
 Architecture: all
@@ -113,7 +111,7 @@
          tzdata
 Recommends: python3-scipy,
             python3-matplotlib,
-            python3-tz,
+            python3-pytz,
 # for faster processing
 # see -lib for python3-numba
             python3-bottleneck,

=== debian/rules ===
--- 
+++ 
@@ -131,5 +131,5 @@
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	PYBUILD_SYSTEM=custom dh_auto_test
+	PYBUILD_SYSTEM=custom dh_auto_test
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
          python3-odf (>= 1.4.1~),
          python3-openpyxl (>= 3.1.0~),
 # doesn't seem to work in this test environment         python3-psycopg2 (>= 2.9.6~),
-         python3-py,
 # doesn't seem to work in this test environment         python3-pymysql (>= 1.0.2~),
          python3-pyqt5 (>= 5.15.9~),
          python3-pyreadstat (>= 1.2.0~),
@@ -43,6 +42,7 @@
          python3-pytest-localserver,
          python3-pytest-xdist (>= 2.2.0~),
          python3-pytestqt (>= 4.2.0~),
+         python3-pytz (>= 2022.7~),
 # we don't have python3-pyxlsb
          python3-scipy (>= 1.10.0~),
          python3-setuptools (>= 51~),
@@ -51,7 +51,6 @@
          python3-tables (>= 3.8.0~) [!s390x !hppa !powerpc !ppc64 !sparc64 !hurd-any !alpha],
          python3-tabulate (>= 0.9.0~),
          python3-tk,
-         python3-tz (>= 2022.7~),
          python3-xarray (>= 2022.12.0~),
          python3-xlrd (>= 2.0.1~),
          python3-xlsxwriter (>= 3.0.5~),
@@ -64,3 +63,4 @@
 
 # this test does not actually fail on failure - it exists to produce a log for monitoring known issues
 # (we can't use plain xfails for this, because some of these crash not just fail)
+Tests: ignoredtests

=== debian/watch ===
version=4
opts="mode=git,gitexport=all,dversionmangle=s/.dfsg[0-9]*$//,uversionmangle=s/v//;s/rc/~rc/,repacksuffix=+dfsg" \
 https://github.com/pandas-dev/pandas refs/tags/v([0-9.]+)

## pandas appender-0.9.6

=== Makefile ===
.PHONY: clean_coverage test_coverage distclean distcheck dist

clean_coverage:
	rm -f .coverage

test_coverage: clean_coverage
	PYTHONPATH=. pytest --cov-report=xml --cov-append --cov-branch --cov pandas_appender -v -v test/

distclean:
	rm -rf dist/

distcheck: distclean
	python ./setup.py sdist
	twine check dist/*

dist: distclean
	echo "reminder, you must have tagged this commit or you'll end up failing"
	echo "  git tag v0.x.x"
	echo "  git push --tags"
	python ./setup.py sdist
	twine check dist/*
	twine upload dist/* -r pypi
